1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44  echo "#! /bin/sh" >conf$$.sh
45  echo  "exit 0"   >>conf$$.sh
46  chmod +x conf$$.sh
47  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48    PATH_SEPARATOR=';'
49  else
50    PATH_SEPARATOR=:
51  fi
52  rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57  as_unset=unset
58else
59  as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order.  Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" ""	$as_nl"
71
72# Find who we are.  Look in the path if we contain no directory separator.
73case $0 in
74  *[\\/]* ) as_myself=$0 ;;
75  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78  IFS=$as_save_IFS
79  test -z "$as_dir" && as_dir=.
80  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84     ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89  as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93  { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108  LC_TELEPHONE LC_TIME
109do
110  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111    eval $as_var=C; export $as_var
112  else
113    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114  fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119   test "X`expr 00001 : '.*\(...\)'`" = X001; then
120  as_expr=expr
121else
122  as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126  as_basename=basename
127else
128  as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135	 X"$0" : 'X\(//\)$' \| \
136	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138    sed '/^.*\/\([^/][^/]*\)\/*$/{
139	    s//\1/
140	    q
141	  }
142	  /^X\/\(\/\/\)$/{
143	    s//\1/
144	    q
145	  }
146	  /^X\/\(\/\).*/{
147	    s//\1/
148	    q
149	  }
150	  s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157  as_lineno_1=$LINENO
158  as_lineno_2=$LINENO
159  test "x$as_lineno_1" != "x$as_lineno_2" &&
160  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163  # uniformly replaced by the line number.  The first 'sed' inserts a
164  # line-number line after each line using $LINENO; the second 'sed'
165  # does the real work.  The second script uses 'N' to pair each
166  # line-number line with the line containing $LINENO, and appends
167  # trailing '-' during substitution so that $LINENO is not a special
168  # case at line end.
169  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170  # scripts with optimization help from Paolo Bonzini.  Blame Lee
171  # E. McMahon (1931-1989) for sed's syntax.  :-)
172  sed -n '
173    p
174    /[$]LINENO/=
175  ' <$as_myself |
176    sed '
177      s/[$]LINENO.*/&-/
178      t lineno
179      b
180      :lineno
181      N
182      :loop
183      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184      t loop
185      s/-\n.*//
186    ' >$as_me.lineno &&
187  chmod +x "$as_me.lineno" ||
188    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189   { (exit 1); exit 1; }; }
190
191  # Don't try to exec as it changes $[0], causing all sort of problems
192  # (the dirname of $[0] is not the place where we might find the
193  # original and so on.  Autoconf is especially sensitive to this).
194  . "./$as_me.lineno"
195  # Exit status is that of the last command.
196  exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201  as_dirname=dirname
202else
203  as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209  case `echo 'x\c'` in
210  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
211  *)   ECHO_C='\c';;
212  esac;;
213*)
214  ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218   test "X`expr 00001 : '.*\(...\)'`" = X001; then
219  as_expr=expr
220else
221  as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226  rm -f conf$$.dir/conf$$.file
227else
228  rm -f conf$$.dir
229  mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233  as_ln_s='ln -s'
234  # ... but there are two gotchas:
235  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237  # In both cases, we have to default to `cp -p'.
238  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239    as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241  as_ln_s=ln
242else
243  as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249  as_mkdir_p=:
250else
251  test -d ./-p && rmdir ./-p
252  as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256  as_test_x='test -x'
257else
258  if ls -dL / >/dev/null 2>&1; then
259    as_ls_L_option=L
260  else
261    as_ls_L_option=
262  fi
263  as_test_x='
264    eval sh -c '\''
265      if test -d "$1"; then
266        test -d "$1/.";
267      else
268	case $1 in
269        -*)set "./$1";;
270	esac;
271	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272	???[sx]*):;;*)false;;esac;fi
273    '\'' sh
274  '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by Xar $as_me 1.6dev, which was
292generated by GNU Autoconf 2.61.  Invocation command line was
293
294  CONFIG_FILES    = $CONFIG_FILES
295  CONFIG_HEADERS  = $CONFIG_HEADERS
296  CONFIG_LINKS    = $CONFIG_LINKS
297  CONFIG_COMMANDS = $CONFIG_COMMANDS
298  $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" cfgoutputs.stamp Makefile include/xar.h lib/Makefile.inc lib/libxar.la.in src/Makefile.inc xar.spec"
305config_headers=" cfghdrs.stamp include/config.h"
306
307ac_cs_usage="\
308\`$as_me' instantiates files from templates according to the
309current configuration.
310
311Usage: $0 [OPTIONS] [FILE]...
312
313  -h, --help       print this help, then exit
314  -V, --version    print version number and configuration settings, then exit
315  -q, --quiet      do not print progress messages
316  -d, --debug      don't remove temporary files
317      --recheck    update $as_me by reconfiguring in the same conditions
318  --file=FILE[:TEMPLATE]
319		   instantiate the configuration file FILE
320  --header=FILE[:TEMPLATE]
321		   instantiate the configuration header FILE
322
323Configuration files:
324$config_files
325
326Configuration headers:
327$config_headers
328
329Report bugs to <bug-autoconf@gnu.org>."
330
331ac_cs_version="\
332Xar config.status 1.6dev
333configured by ./configure, generated by GNU Autoconf 2.61,
334  with options \"'--enable-autogen'\"
335
336Copyright (C) 2006 Free Software Foundation, Inc.
337This config.status script is free software; the Free Software Foundation
338gives unlimited permission to copy, distribute and modify it."
339
340ac_pwd='/Users/bogusbogus/sandbox/xar-trunk/xar'
341srcdir='.'
342INSTALL='/usr/bin/install -c'
343# If no file are specified by the user, then we need to provide default
344# value.  By we need to know if files were specified by the user.
345ac_need_defaults=:
346while test $# != 0
347do
348  case $1 in
349  --*=*)
350    ac_option=`expr "X$1" : 'X\([^=]*\)='`
351    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
352    ac_shift=:
353    ;;
354  *)
355    ac_option=$1
356    ac_optarg=$2
357    ac_shift=shift
358    ;;
359  esac
360
361  case $ac_option in
362  # Handling of the options.
363  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
364    ac_cs_recheck=: ;;
365  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
366    echo "$ac_cs_version"; exit ;;
367  --debug | --debu | --deb | --de | --d | -d )
368    debug=: ;;
369  --file | --fil | --fi | --f )
370    $ac_shift
371    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
372    ac_need_defaults=false;;
373  --header | --heade | --head | --hea )
374    $ac_shift
375    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
376    ac_need_defaults=false;;
377  --he | --h)
378    # Conflict between --help and --header
379    { echo "$as_me: error: ambiguous option: $1
380Try \`$0 --help' for more information." >&2
381   { (exit 1); exit 1; }; };;
382  --help | --hel | -h )
383    echo "$ac_cs_usage"; exit ;;
384  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
385  | -silent | --silent | --silen | --sile | --sil | --si | --s)
386    ac_cs_silent=: ;;
387
388  # This is an error.
389  -*) { echo "$as_me: error: unrecognized option: $1
390Try \`$0 --help' for more information." >&2
391   { (exit 1); exit 1; }; } ;;
392
393  *) ac_config_targets="$ac_config_targets $1"
394     ac_need_defaults=false ;;
395
396  esac
397  shift
398done
399
400ac_configure_extra_args=
401
402if $ac_cs_silent; then
403  exec 6>/dev/null
404  ac_configure_extra_args="$ac_configure_extra_args --silent"
405fi
406
407if $ac_cs_recheck; then
408  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--enable-autogen' $ac_configure_extra_args " --no-create --no-recursion" >&6
409  CONFIG_SHELL=/bin/sh
410  export CONFIG_SHELL
411  exec /bin/sh "./configure" '--enable-autogen' $ac_configure_extra_args --no-create --no-recursion
412fi
413
414exec 5>>config.log
415{
416  echo
417  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
418## Running $as_me. ##
419_ASBOX
420  echo "$ac_log"
421} >&5
422
423
424# Handling of arguments.
425for ac_config_target in $ac_config_targets
426do
427  case $ac_config_target in
428    "$cfghdrs") CONFIG_HEADERS="$CONFIG_HEADERS $cfghdrs" ;;
429    "$cfgoutputs") CONFIG_FILES="$CONFIG_FILES $cfgoutputs" ;;
430
431  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
432echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
433   { (exit 1); exit 1; }; };;
434  esac
435done
436
437
438# If the user did not use the arguments to specify the items to instantiate,
439# then the envvar interface is used.  Set only those that are not.
440# We use the long form for the default assignment because of an extremely
441# bizarre bug on SunOS 4.1.3.
442if $ac_need_defaults; then
443  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
444  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
445fi
446
447# Have a temporary directory for convenience.  Make it in the build tree
448# simply because there is no reason against having it here, and in addition,
449# creating and moving files from /tmp can sometimes cause problems.
450# Hook for its removal unless debugging.
451# Note that there is a small window in which the directory will not be cleaned:
452# after its creation but before its name has been assigned to `$tmp'.
453$debug ||
454{
455  tmp=
456  trap 'exit_status=$?
457  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
458' 0
459  trap '{ (exit 1); exit 1; }' 1 2 13 15
460}
461# Create a (secure) tmp directory for tmp files.
462
463{
464  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
465  test -n "$tmp" && test -d "$tmp"
466}  ||
467{
468  tmp=./conf$$-$RANDOM
469  (umask 077 && mkdir "$tmp")
470} ||
471{
472   echo "$me: cannot create a temporary directory in ." >&2
473   { (exit 1); exit 1; }
474}
475
476#
477# Set up the sed scripts for CONFIG_FILES section.
478#
479
480# No need to generate the scripts if there are no CONFIG_FILES.
481# This happens for instance when ./config.status config.h
482if test -n "$CONFIG_FILES"; then
483
484cat >"$tmp/subs-1.sed" <<\CEOF
485/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
486s,@SHELL@,|#_!!_#|/bin/sh,g
487s,@PATH_SEPARATOR@,|#_!!_#|:,g
488s,@PACKAGE_NAME@,|#_!!_#|Xar,g
489s,@PACKAGE_TARNAME@,|#_!!_#|xar,g
490s,@PACKAGE_VERSION@,|#_!!_#|1.6dev,g
491s,@PACKAGE_STRING@,|#_!!_#|Xar 1.6dev,g
492s,@PACKAGE_BUGREPORT@,|#_!!_#|xar-devel@|#_!!_#|googlegroups.com,g
493s,@exec_prefix@,|#_!!_#|/usr/local,g
494s,@prefix@,|#_!!_#|/usr/local,g
495s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
496s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
497s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
498s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
499s,@datarootdir@,|#_!!_#|${prefix}/share,g
500s,@datadir@,|#_!!_#|${datarootdir},g
501s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
502s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
503s,@localstatedir@,|#_!!_#|${prefix}/var,g
504s,@includedir@,|#_!!_#|${prefix}/include,g
505s,@oldincludedir@,|#_!!_#|/usr/include,g
506s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
507s,@infodir@,|#_!!_#|${datarootdir}/info,g
508s,@htmldir@,|#_!!_#|${docdir},g
509s,@dvidir@,|#_!!_#|${docdir},g
510s,@pdfdir@,|#_!!_#|${docdir},g
511s,@psdir@,|#_!!_#|${docdir},g
512s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
513s,@localedir@,|#_!!_#|${datarootdir}/locale,g
514s,@mandir@,|#_!!_#|${datarootdir}/man,g
515s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
516s,@ECHO_C@,|#_!!_#|\\c,g
517s,@ECHO_N@,|#_!!_#|,g
518s,@ECHO_T@,|#_!!_#|,g
519s,@LIBS@,|#_!!_#|-lbz2 -lz -lcrypto  -lxml2 -lz -lpthread -licucore -lm,g
520s,@build_alias@,|#_!!_#|,g
521s,@host_alias@,|#_!!_#|,g
522s,@target_alias@,|#_!!_#|,g
523s,@LIB_REV@,|#_!!_#|1,g
524s,@XAR_MAJOR_VERSION@,|#_!!_#|1,g
525s,@XAR_MINOR_VERSION@,|#_!!_#|6dev,g
526s,@XAR_VERSION@,|#_!!_#|1.6dev,g
527s,@srcroot@,|#_!!_#|,g
528s,@abs_srcroot@,|#_!!_#|/Users/bogusbogus/sandbox/xar-trunk/xar/,g
529s,@objroot@,|#_!!_#|,g
530s,@abs_objroot@,|#_!!_#|/Users/bogusbogus/sandbox/xar-trunk/xar/,g
531s,@PREFIX@,|#_!!_#|/usr/local,g
532s,@BINDIR@,|#_!!_#|/usr/local/bin,g
533s,@DATADIR@,|#_!!_#|/usr/local/share,g
534s,@LIBDIR@,|#_!!_#|/usr/local/lib,g
535s,@INCLUDEDIR@,|#_!!_#|/usr/local/include,g
536s,@MANDIR@,|#_!!_#|/usr/local/share/man,g
537s,@CC@,|#_!!_#|gcc,g
538s,@CFLAGS@,|#_!!_#|-Wall -g,g
539s,@LDFLAGS@,|#_!!_#|,g
540s,@CPPFLAGS@,|#_!!_#| -I/usr/include/libxml2,g
541s,@ac_ct_CC@,|#_!!_#|gcc,g
542s,@EXEEXT@,|#_!!_#|,g
543s,@OBJEXT@,|#_!!_#|o,g
544s,@CPP@,|#_!!_#|gcc -E,g
545s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
546s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
547s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
548s,@LD@,|#_!!_#|/usr/bin/ld,g
549s,@AR@,|#_!!_#|/usr/bin/ar,g
550s,@RANLIB@,|#_!!_#|/usr/bin/ranlib,g
551s,@AUTOCONF@,|#_!!_#|/usr/bin/autoconf,g
552s,@shared@,|#_!!_#|yes,g
553s,@static@,|#_!!_#|yes,g
554s,@build@,|#_!!_#|i686-apple-darwin10.0.0d2,g
555s,@build_cpu@,|#_!!_#|i686,g
556s,@build_vendor@,|#_!!_#|apple,g
557s,@build_os@,|#_!!_#|darwin10.0.0d2,g
558s,@host@,|#_!!_#|i686-apple-darwin10.0.0d2,g
559s,@host_cpu@,|#_!!_#|i686,g
560s,@host_vendor@,|#_!!_#|apple,g
561s,@host_os@,|#_!!_#|darwin10.0.0d2,g
562s,@abi@,|#_!!_#|macho,g
563s,@RPATH@,|#_!!_#|,g
564s,@enable_autogen@,|#_!!_#|1,g
565s,@GREP@,|#_!!_#|/usr/bin/grep,g
566s,@EGREP@,|#_!!_#|/usr/bin/grep -E,g
567s,@XML2_CONFIG@,|#_!!_#|/usr/bin/xml2-config,g
568s,@cfghdrs@,|#_!!_#|cfghdrs.stamp include/config.h,g
569s,@cfgoutputs@,|#_!!_#|cfgoutputs.stamp Makefile include/xar.h lib/Makefile.inc lib/libxar.la.in src/Makefile.inc xar.spec,g
570s,@LIBOBJS@,|#_!!_#|,g
571s,@LTLIBOBJS@,|#_!!_#|,g
572:end
573s/|#_!!_#|//g
574CEOF
575fi # test -n "$CONFIG_FILES"
576
577
578for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS
579do
580  case $ac_tag in
581  :[FHLC]) ac_mode=$ac_tag; continue;;
582  esac
583  case $ac_mode$ac_tag in
584  :[FHL]*:*);;
585  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
586echo "$as_me: error: Invalid tag $ac_tag." >&2;}
587   { (exit 1); exit 1; }; };;
588  :[FH]-) ac_tag=-:-;;
589  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
590  esac
591  ac_save_IFS=$IFS
592  IFS=:
593  set x $ac_tag
594  IFS=$ac_save_IFS
595  shift
596  ac_file=$1
597  shift
598
599  case $ac_mode in
600  :L) ac_source=$1;;
601  :[FH])
602    ac_file_inputs=
603    for ac_f
604    do
605      case $ac_f in
606      -) ac_f="$tmp/stdin";;
607      *) # Look for the file first in the build tree, then in the source tree
608	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
609	 # because $ac_f cannot contain `:'.
610	 test -f "$ac_f" ||
611	   case $ac_f in
612	   [\\/$]*) false;;
613	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
614	   esac ||
615	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
616echo "$as_me: error: cannot find input file: $ac_f" >&2;}
617   { (exit 1); exit 1; }; };;
618      esac
619      ac_file_inputs="$ac_file_inputs $ac_f"
620    done
621
622    # Let's still pretend it is `configure' which instantiates (i.e., don't
623    # use $as_me), people would be surprised to read:
624    #    /* config.h.  Generated by config.status.  */
625    configure_input="Generated from "`IFS=:
626	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
627    if test x"$ac_file" != x-; then
628      configure_input="$ac_file.  $configure_input"
629      { echo "$as_me:$LINENO: creating $ac_file" >&5
630echo "$as_me: creating $ac_file" >&6;}
631    fi
632
633    case $ac_tag in
634    *:-:* | *:-) cat >"$tmp/stdin";;
635    esac
636    ;;
637  esac
638
639  ac_dir=`$as_dirname -- "$ac_file" ||
640$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
641	 X"$ac_file" : 'X\(//\)[^/]' \| \
642	 X"$ac_file" : 'X\(//\)$' \| \
643	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
644echo X"$ac_file" |
645    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
646	    s//\1/
647	    q
648	  }
649	  /^X\(\/\/\)[^/].*/{
650	    s//\1/
651	    q
652	  }
653	  /^X\(\/\/\)$/{
654	    s//\1/
655	    q
656	  }
657	  /^X\(\/\).*/{
658	    s//\1/
659	    q
660	  }
661	  s/.*/./; q'`
662  { as_dir="$ac_dir"
663  case $as_dir in #(
664  -*) as_dir=./$as_dir;;
665  esac
666  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
667    as_dirs=
668    while :; do
669      case $as_dir in #(
670      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
671      *) as_qdir=$as_dir;;
672      esac
673      as_dirs="'$as_qdir' $as_dirs"
674      as_dir=`$as_dirname -- "$as_dir" ||
675$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
676	 X"$as_dir" : 'X\(//\)[^/]' \| \
677	 X"$as_dir" : 'X\(//\)$' \| \
678	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
679echo X"$as_dir" |
680    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
681	    s//\1/
682	    q
683	  }
684	  /^X\(\/\/\)[^/].*/{
685	    s//\1/
686	    q
687	  }
688	  /^X\(\/\/\)$/{
689	    s//\1/
690	    q
691	  }
692	  /^X\(\/\).*/{
693	    s//\1/
694	    q
695	  }
696	  s/.*/./; q'`
697      test -d "$as_dir" && break
698    done
699    test -z "$as_dirs" || eval "mkdir $as_dirs"
700  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
701echo "$as_me: error: cannot create directory $as_dir" >&2;}
702   { (exit 1); exit 1; }; }; }
703  ac_builddir=.
704
705case "$ac_dir" in
706.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
707*)
708  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
709  # A ".." for each directory in $ac_dir_suffix.
710  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
711  case $ac_top_builddir_sub in
712  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
713  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
714  esac ;;
715esac
716ac_abs_top_builddir=$ac_pwd
717ac_abs_builddir=$ac_pwd$ac_dir_suffix
718# for backward compatibility:
719ac_top_builddir=$ac_top_build_prefix
720
721case $srcdir in
722  .)  # We are building in place.
723    ac_srcdir=.
724    ac_top_srcdir=$ac_top_builddir_sub
725    ac_abs_top_srcdir=$ac_pwd ;;
726  [\\/]* | ?:[\\/]* )  # Absolute name.
727    ac_srcdir=$srcdir$ac_dir_suffix;
728    ac_top_srcdir=$srcdir
729    ac_abs_top_srcdir=$srcdir ;;
730  *) # Relative name.
731    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
732    ac_top_srcdir=$ac_top_build_prefix$srcdir
733    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
734esac
735ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
736
737
738  case $ac_mode in
739  :F)
740  #
741  # CONFIG_FILE
742  #
743
744  case $INSTALL in
745  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
746  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
747  esac
748# If the template does not know about datarootdir, expand it.
749# FIXME: This hack should be removed a few years after 2.60.
750ac_datarootdir_hack=; ac_datarootdir_seen=
751
752case `sed -n '/datarootdir/ {
753  p
754  q
755}
756/@datadir@/p
757/@docdir@/p
758/@infodir@/p
759/@localedir@/p
760/@mandir@/p
761' $ac_file_inputs` in
762*datarootdir*) ac_datarootdir_seen=yes;;
763*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
764  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
765echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
766  ac_datarootdir_hack='
767  s&@datadir@&${datarootdir}&g
768  s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
769  s&@infodir@&${datarootdir}/info&g
770  s&@localedir@&${datarootdir}/locale&g
771  s&@mandir@&${datarootdir}/man&g
772    s&\${datarootdir}&${prefix}/share&g' ;;
773esac
774  sed "/^[	 ]*VPATH[	 ]*=/{
775s/:*\$(srcdir):*/:/
776s/:*\${srcdir}:*/:/
777s/:*@srcdir@:*/:/
778s/^\([^=]*=[	 ]*\):*/\1/
779s/:*$//
780s/^[^=]*=[	 ]*$//
781}
782
783:t
784/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
785s&@configure_input@&$configure_input&;t t
786s&@top_builddir@&$ac_top_builddir_sub&;t t
787s&@srcdir@&$ac_srcdir&;t t
788s&@abs_srcdir@&$ac_abs_srcdir&;t t
789s&@top_srcdir@&$ac_top_srcdir&;t t
790s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
791s&@builddir@&$ac_builddir&;t t
792s&@abs_builddir@&$ac_abs_builddir&;t t
793s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
794s&@INSTALL@&$ac_INSTALL&;t t
795$ac_datarootdir_hack
796" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
797
798test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
799  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
800  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
801  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
802which seems to be undefined.  Please make sure it is defined." >&5
803echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
804which seems to be undefined.  Please make sure it is defined." >&2;}
805
806  rm -f "$tmp/stdin"
807  case $ac_file in
808  -) cat "$tmp/out"; rm -f "$tmp/out";;
809  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
810  esac
811 ;;
812  :H)
813  #
814  # CONFIG_HEADER
815  #
816    # First, check the format of the line:
817    cat >"$tmp/defines.sed" <<\CEOF
818/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
819/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
820b
821:def
822s/$/ /
823s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_NAME\)[	 (].*,\1define\2 "Xar" ,
824s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_TARNAME\)[	 (].*,\1define\2 "xar" ,
825s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_VERSION\)[	 (].*,\1define\2 "1.6dev" ,
826s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_STRING\)[	 (].*,\1define\2 "Xar 1.6dev" ,
827s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_BUGREPORT\)[	 (].*,\1define\2 "xar-devel@googlegroups.com" ,
828s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_ACL_H\)[	 (].*,\1define\2 1 ,
829s,^\([	 #]*\)[^	 ]*\([	 ]*STDC_HEADERS\)[	 (].*,\1define\2 1 ,
830s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TYPES_H\)[	 (].*,\1define\2 1 ,
831s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_STAT_H\)[	 (].*,\1define\2 1 ,
832s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
833s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRING_H\)[	 (].*,\1define\2 1 ,
834s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MEMORY_H\)[	 (].*,\1define\2 1 ,
835s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRINGS_H\)[	 (].*,\1define\2 1 ,
836s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_INTTYPES_H\)[	 (].*,\1define\2 1 ,
837s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDINT_H\)[	 (].*,\1define\2 1 ,
838s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
839s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_XATTR_H\)[	 (].*,\1define\2 1 ,
840s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_PARAM_H\)[	 (].*,\1define\2 1 ,
841s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBUTIL_H\)[	 (].*,\1define\2 1 ,
842s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETXATTR\)[	 (].*,\1define\2 1 ,
843s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SETXATTR\)[	 (].*,\1define\2 1 ,
844s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETATTRLIST\)[	 (].*,\1define\2 1 ,
845s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SETATTRLIST\)[	 (].*,\1define\2 1 ,
846s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LCHMOD\)[	 (].*,\1define\2 1 ,
847s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LCHOWN\)[	 (].*,\1define\2 1 ,
848s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_CHFLAGS\)[	 (].*,\1define\2 1 ,
849s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STATVFS\)[	 (].*,\1define\2 1 ,
850s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STATFS\)[	 (].*,\1define\2 1 ,
851s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRMODE\)[	 (].*,\1define\2 1 ,
852s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRUCT_STATFS_F_FSTYPENAME\)[	 (].*,\1define\2 1 ,
853s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRUCT_STAT_ST_FLAGS\)[	 (].*,\1define\2 1 ,
854s,^\([	 #]*\)[^	 ]*\([	 ]*SIZEOF_UID_T\)[	 (].*,\1define\2 4 ,
855s,^\([	 #]*\)[^	 ]*\([	 ]*UID_STRING\)[	 (].*,\1define\2 RId32 ,
856s,^\([	 #]*\)[^	 ]*\([	 ]*UID_CAST\)[	 (].*,\1define\2 (uint32_t) ,
857s,^\([	 #]*\)[^	 ]*\([	 ]*SIZEOF_GID_T\)[	 (].*,\1define\2 4 ,
858s,^\([	 #]*\)[^	 ]*\([	 ]*GID_STRING\)[	 (].*,\1define\2 PRId32 ,
859s,^\([	 #]*\)[^	 ]*\([	 ]*GID_CAST\)[	 (].*,\1define\2 (uint32_t) ,
860s,^\([	 #]*\)[^	 ]*\([	 ]*SIZEOF_INO_T\)[	 (].*,\1define\2 4 ,
861s,^\([	 #]*\)[^	 ]*\([	 ]*INO_STRING\)[	 (].*,\1define\2 PRId32 ,
862s,^\([	 #]*\)[^	 ]*\([	 ]*INO_HEXSTRING\)[	 (].*,\1define\2 PRIx32 ,
863s,^\([	 #]*\)[^	 ]*\([	 ]*INO_CAST\)[	 (].*,\1define\2 (uint32_t) ,
864s,^\([	 #]*\)[^	 ]*\([	 ]*SIZEOF_DEV_T\)[	 (].*,\1define\2 4 ,
865s,^\([	 #]*\)[^	 ]*\([	 ]*DEV_STRING\)[	 (].*,\1define\2 PRId32 ,
866s,^\([	 #]*\)[^	 ]*\([	 ]*DEV_HEXSTRING\)[	 (].*,\1define\2 PRIx32 ,
867s,^\([	 #]*\)[^	 ]*\([	 ]*DEV_CAST\)[	 (].*,\1define\2 (uint32_t) ,
868s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ASPRINTF\)[	 (].*,\1define\2 1 ,
869s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_OPENSSL_EVP_H\)[	 (].*,\1define\2 1 ,
870s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBCRYPTO\)[	 (].*,\1define\2 1 ,
871s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ZLIB_H\)[	 (].*,\1define\2 1 ,
872CEOF
873    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
874    # First, check the format of the line:
875    cat >"$tmp/defines.sed" <<\CEOF
876/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
877/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
878b
879:def
880s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBZ\)[	 (].*,\1define\2 1 ,
881s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_BZLIB_H\)[	 (].*,\1define\2 1 ,
882s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBBZ2\)[	 (].*,\1define\2 1 ,
883s/ $//
884s,^[	 #]*u.*,/* & */,
885CEOF
886    sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
887ac_result="$tmp/out2"
888  if test x"$ac_file" != x-; then
889    echo "/* $configure_input  */" >"$tmp/config.h"
890    cat "$ac_result" >>"$tmp/config.h"
891    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
892      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
893echo "$as_me: $ac_file is unchanged" >&6;}
894    else
895      rm -f $ac_file
896      mv "$tmp/config.h" $ac_file
897    fi
898  else
899    echo "/* $configure_input  */"
900    cat "$ac_result"
901  fi
902  rm -f "$tmp/out12"
903 ;;
904
905
906  esac
907
908done # for ac_tag
909
910
911{ (exit 0); exit 0; }
912